<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-permissions.twig */
class __TwigTemplate_f55b640d29d20782f4e8d2814d2ec1d09329034c3f7c3361a6f812b8df9fa686 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 24
        $context["forms"] = $this->loadTemplate("forms.twig", "user-form-permissions.twig", 24)->unwrap();
        // line 25
        $context["inline"] = $this->loadTemplate("inline.twig", "user-form-permissions.twig", 25)->unwrap();
        // line 27
        $context["randomId"] = twig_random($this->env);
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-permissions.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 29
    public function block_formTitle($context, array $blocks = [])
    {
        // line 30
        echo "    ";
        if (($this->getAttribute(($context["object"] ?? null), "isLayoutSpecific", []) == 1)) {
            // line 31
            echo "        ";
            $context["objectName"] = __("Layout");
            // line 32
            echo "    ";
        } elseif (($this->getAttribute(($context["object"] ?? null), "isDisplaySpecific", []) == 1)) {
            // line 33
            echo "        ";
            $context["objectName"] = __("Display");
            // line 34
            echo "    ";
        } else {
            // line 35
            echo "        ";
            $context["objectName"] = __(($context["entity"] ?? null));
            // line 36
            echo "    ";
        }
        // line 37
        echo "
    ";
        // line 38
        /* xgettext:no-php-format */        echo strtr(__("Permissions for %objectName%"), array("%objectName%" => ($context["objectName"] ?? null), ));
    }

    // line 41
    public function block_formButtons($context, array $blocks = [])
    {
        // line 42
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["help"] ?? null), "permissions", []), "html", null, true);
        echo "\")
    ";
        // line 43
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 44
        echo __("Save");
        echo ", permissionsFormSubmit(\"";
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\")
";
    }

    // line 47
    public function block_callBack($context, array $blocks = [])
    {
        echo "permissionsFormOpen";
    }

    // line 49
    public function block_formHtml($context, array $blocks = [])
    {
        // line 50
        echo "    <div class=\"permissions-form\">
        <div class=\"row\">
            <div class=\"col-md-12\">
                <div class=\"XiboGrid permissionsGrid\" id=\"";
        // line 53
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\"
                     data-url=\"";
        // line 54
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.permissions", ["entity" => ($context["entity"] ?? null), "id" => ($context["objectId"] ?? null)]), "html", null, true);
        echo "\"
                     data-permissions=\"";
        // line 55
        echo twig_escape_filter($this->env, twig_jsonencode_filter(($context["permissions"] ?? null)), "html", null, true);
        echo "\">
                    <div class=\"permissionsTableFilter\">
                        <div class=\"XiboFilter well\">
                            <div class=\"FilterDiv\" id=\"Filter\">
                                <form class=\"form-inline\">
                                    ";
        // line 60
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                                    ";
        echo $context["inline"]->getinput("name", ($context["title"] ?? null));
        echo "
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class=\"XiboData\">
                        <table id=\"permissionsTable\" class=\"table table-striped\">
                            <thead>
                            <tr>
                                <th>";
        // line 70
        echo __("Name");
        echo "</th>
                                <th>";
        // line 71
        echo __("View");
        echo "</th>
                                <th>";
        // line 72
        echo __("Edit");
        echo "</th>
                                <th>";
        // line 73
        echo __("Delete");
        echo "</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        ";
        // line 84
        if (((($context["entity"] ?? null) == "Campaign") || (($context["entity"] ?? null) == "Playlist"))) {
            // line 85
            echo "        <div class=\"row\">
            <div class=\"col-md-12\">
                ";
            // line 87
            ob_start(function () { return ''; });
            echo __("Cascade permissions to all items underneath this one.");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 88
            echo "                ";
            ob_start(function () { return ''; });
            echo __("For example, if this is a Layout then update the permissions on all Regions, Playlists and Widgets.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 89
            echo "                ";
            echo $context["forms"]->getcheckbox("cascade", ($context["title"] ?? null), $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "DEFAULT_CASCADE_PERMISSION_CHECKB", 1 => 1], "method"), ($context["helpText"] ?? null));
            echo "
            </div>
        </div>
        ";
        }
        // line 93
        echo "        ";
        if (($context["canSetOwner"] ?? null)) {
            // line 94
            echo "        <div class=\"row\">
            <div class=\"col-md-12\">
                ";
            // line 96
            ob_start(function () { return ''; });
            echo __("Owner");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 97
            echo "                ";
            ob_start(function () { return ''; });
            echo __("Change the Owner of this item. Leave empty to keep the current owner.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 98
            echo "                ";
            echo $context["forms"]->getdropdown("ownerId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["owners"] ?? null)), "userId", "userName", ($context["helpText"] ?? null));
            echo "
            </div>
        </div>
        ";
        }
        // line 102
        echo "    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-permissions.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  222 => 102,  214 => 98,  209 => 97,  205 => 96,  201 => 94,  198 => 93,  190 => 89,  185 => 88,  181 => 87,  177 => 85,  175 => 84,  161 => 73,  157 => 72,  153 => 71,  149 => 70,  136 => 61,  132 => 60,  124 => 55,  120 => 54,  116 => 53,  111 => 50,  108 => 49,  102 => 47,  94 => 44,  90 => 43,  83 => 42,  80 => 41,  76 => 38,  73 => 37,  70 => 36,  67 => 35,  64 => 34,  61 => 33,  58 => 32,  55 => 31,  52 => 30,  49 => 29,  44 => 23,  42 => 27,  40 => 25,  38 => 24,  32 => 23,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-permissions.twig", "/home/mgatv524/public_html/edurocha/views/user-form-permissions.twig");
    }
}
